Package org.eclipse.emf.cdo.server.admin

# Interface CDORepositoryConfigurationManager

All Superinterfaces:
  `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`

public interface CDORepositoryConfigurationManager extends org.eclipse.net4j.util.lifecycle.ILifecycle
Manages repository configurations.

Since:
  4.2
Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDORepositoryConfigurationManager.Factory`
Specification of the factory API for `repository configuration managers`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`IRepository`
`addRepository(String name, Document configuration)`
`void`
`authenticateAdministrator()`
Authenticates the user as a server administrator, if applicable.
`boolean`
`canRemoveRepository(IRepository repository)`
`Map<String,IRepository>`
`getRepositories()`
`void`
`removeRepository(IRepository repository)`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getRepositories

Map<String,IRepository> getRepositories()

### addRepository

IRepository addRepository(String name, Document configuration)

### removeRepository

void removeRepository(IRepository repository)

### canRemoveRepository

boolean canRemoveRepository(IRepository repository)

### authenticateAdministrator

void authenticateAdministrator() throws SecurityException
Authenticates the user as a server administrator, if applicable.

Throws:
  `SecurityException` - if authentication is required and fails